/* html { */
    /* overflow:   scroll; */
  /* } */
  /* ::-webkit-scrollbar { */
      /* width: 0px; */
       /* make scrollbar transparent */
      /* background: transparent; */
  /* } */

/* mr this was the original */
body {

    /* background-color: #fff; */
    /* color: #666; */
    font-family: 'Lato', 'Open Sans', sans-serif;
    /* font-family: 'titilliumlight', 'Lato', sans-serif; */
    /* font-weight: 800; */
    /* font-size: 62.5%; */
    /* margin: 0 auto; */
}

/* body {
    font-family: 'titilliumlight', 'Lato', sans-serif;
    font-size: 2rem;
    font-weight: 500;
    margin: 0; 
    padding:0;
    color:rgb(59, 57, 57);
    line-height: 1.5;
    word-wrap:break-word !important; 
  } */



a {
    border: 0 none;
    outline: 0;
    text-decoration: none;
}

strong {
    font-weight: bold;
}

p {
    margin: 0.75rem 0 0;
}

h1 {
    font-size: 0.75rem;
    font-weight: normal;
    margin: 0;
    padding: 0;
}

input,
button {
    border: 0 none;
    outline: 0 none;

}

button {
    background-color: #666;
    color: #fff;
}

button:hover,
button:focus {
    background-color: #555;
}

.mr-btn-overload-del-later {
    margin: 0.5rem 0.5rem 1rem 0.5rem;
    text-decoration: none;
    /* width: 15rem; */
    min-width: 8rem;;
}

img,
.basket-module,
.basket-labels,
.basket-product {
    width: 100%;
}

input,
button,
.basket,
.basket-module,
.basket-labels,
.item,
.price,
.quantity,
.descuento,
.subtotal,
.basket-product,
.product-image,
.product-details {
    float: left;
}

/* .price:before,
.subtotal:before,
.subtotal-value:before,
.total-value:before,
.promo-value:before {
    content: '$';
} */

.hide {
    display: none;
}

main {
    clear: both;
    font-size: 0.6rem; /* 0.75 overflows in chrome font extra large */
    margin: 0 auto;
    overflow: hidden;
    padding: 1rem 0;
    width: 960px;
}

.basket,
aside {
    padding: 0 1rem;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.mr-catalog-selected {
    background-color: #ccc;
    margin-bottom: 5px;
    pointer-events: none;
    opacity: 0.6; 
}

.basket {
    width: 70%;
    /* overflow: hidden; */
    /* position: relative; */
}

.mr-pagination {
    display:inline-flex;
    float:right;
    margin-left: 5px;
    
}
.catalog-lookup-div {
    /* background-color: chartreuse; */
    display: inline-flex;
}

.mr-label {
    margin-top: 5px; 
    margin-left:10px; 
    width:45px;
}

.basket-module {
    color: #111;
}

label {
    display: block;
    margin-bottom: 0.3125rem;
}

.promo-code-field {
    border: 1px solid #ccc;
    padding: 0.5rem;
    text-transform: uppercase;
    transition: all 0.2s linear;
    width: 48%;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -o-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

.promo-code-field:hover,
.promo-code-field:focus {
    border: 1px solid #999;
}

.promo-code-cta {
    border-radius: 4px;
    font-size: 0.625rem;
    margin-left: 0.625rem;
    padding: 0.6875rem 1.25rem 0.625rem;
}

.basket-labels {
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    /* margin-top: 1.625rem; */
    margin-top: 0rem;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

li {
    color: #111;
    display: inline-block;
    /* mr below fucks with your three layer menu li's */
    /* padding: 0.625rem 0; */
}

li.price:before,
li.subtotal:before {
    content: '';
}

.item {
    width: 55%;
}

.price,
.quantity,
.descuento,
.subtotal {
    width: 15%;
}

.subtotal {
    text-align: right;
}

.remove {
    bottom: 1.125rem;
    float: right;
    position: absolute;
    right: 0;
    text-align: right;
    width: 45%;
}

.update {
    bottom: 1.125rem;
    float: right;
    position: absolute;
    right: 0;
    text-align: right;
    width: 45%;
}

.remove xbutton {
    background-color: red;
    color: white;
    float: left;
    text-decoration: none;
    /* text-transform: uppercase; */
}

.add-to-cart {
    bottom: 1.125rem;
    float: right;
    position: absolute;
    right: 0;
    text-align: right;
    width: 50%;
    padding-right: 0.5rem;
}

.add-to-cart button {
    float: right;
    text-decoration: none;
    /* background-color: transparent;
    color: #777;
    float: none;
    text-decoration: underline;
    text-transform: uppercase; */
}

.add-to-cart button:visited {
    outline: blue auto 5px; 

}

.item-heading {
    padding-left: 4.375rem;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.basket-product {
    border-bottom: 1px solid #ccc;
    padding: 0.3rem 0.3rem;
    position: relative;
}

.product-image {
    width: 35%;
}

.product-details {
    width: 65%;
}

.product-frame {
    border: 1px solid #aaa;
}

.product-details {
    padding: 0 1.5rem;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.quantity-field {
    background-color: #ccc;
    border: 1px solid #aaa;
    border-radius: 4px;
    font-size: 0.625rem;
    padding: 2px;
    width: 3.75rem;
}

aside {
    float: right;
    position: relative;
    width: 30%;
}

.summary {
    background-color: #eee;
    border: 1px solid #aaa;
    padding: 1rem;
    position: fixed;
    width: 250px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.summary-total-items {
    color: #666;
    font-size: 0.875rem;
    text-align: center;
}

.summary-subtotal,
.summary-total {
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    clear: both;
    margin: 1rem 0;
    overflow: hidden;
    padding: 0.5rem 0;
}

.subtotal-title,
.subtotal-value,
.total-title,
.total-value,
.promo-title,
.promo-value {
    color: #111;
    float: left;
    width: 50%;
}

.summary-promo {
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}

.promo-title {
    float: left;
    width: 70%;
}

.promo-value {
    color: #8B0000;
    float: left;
    text-align: right;
    width: 30%;
}

.summary-delivery {
    padding-bottom: 3rem;
}

.subtotal-value,
.total-value {
    text-align: right;
}

.total-title {
    font-weight: bold;
    text-transform: uppercase;
}

.summary-checkout {
    display: block;
}

.checkout-cta {
    display: block;
    float: none;
    font-size: 0.75rem;
    text-align: center;
    text-transform: uppercase;
    padding: 0.625rem 0;
    width: 100%;
}

.mr-checkout-cta {
    background-color: #666; 
    color: white;
    text-decoration: none;
    
    display: block;
    float: none;
    font-size: 0.75rem;
    text-align: center;
    text-transform: uppercase;
    padding: 0.625rem 0;
    width: 100%;
    
}

.mr-checkout-cta:hover {
    background: black;
    color:white;
    text-decoration: none;
}

.summary-delivery-selection {
    background-color: #ccc;
    border: 1px solid #aaa;
    border-radius: 4px;
    display: block;
    font-size: 0.625rem;
    height: 34px;
    width: 100%;
}



  /* fix the update button (which is an anchor) so it matches the delete btn's width and it does not underline the link */
  .mr-update-del-btns a {
    text-decoration: none;
     width:65px;
  } 

.catalog-lookup {
    border: 1px solid #ccc;  
    margin: 1rem 0rem; 
    border-radius: 10px; 
    overflow: hidden;
}


.catalog-nav {
    /* border: 1px solid #ccc;   */
    margin: 0.4rem 0rem; 
    /* border-radius: 10px;  */
    overflow: hidden;
    width:auto;
}



.catalog-nav-footer {
    clear: both;
    font-size: 0.75rem;
    margin: 0 auto;
    overflow: hidden;
    padding: 1rem 0;
    width: 70%;
    float: left;
}




/* mr: this resizes the recaptcha when in mobile view, 1 means 100% */
#rc-imageselect, 
.g-recaptcha {
    transform:scale(1);
    -webkit-transform:scale(1);
    transform-origin:0 0;
    -webkit-transform-origin:0 0;
    /* padding-top: 60px; */
}



/* stuff for splitting login and register forms */
@media (min-width: 768px) {
    .h-md-100 {height: 100vh;}
}
/* end stuff for splitting login and register forms */


.mr-invalid-feedback {
    font-size: 80%;
    font-weight: bold;
    color: red;
  }

/* ------------------------------------------------ */
/* ---------- pc  MEDIA less than 960 ------------- */
/* ------------------------------------------------ */
@media screen and (max-width: 991px) {
    main {
        width: 100%;

    }

    .product-details {
        padding: 0 1rem;
    }

    .catalog-nav-footer {
        width: 100%;
    }

    /* .add-to-cart {
        width: 45%;
    } */


}

/* ------------------------------------------------ */
/* --- tablet  MEDIA less than 960 more than 641 -- */
/* ------------------------------------------------ */
@media screen and (min-width: 576px) and (max-width: 990px) {
    aside {
        padding: 0 1rem 0 0;
    }

    .summary {
        width: 28%;
    }
    .catalog-lookup-div {
        /* background-color: chartreuse; */
        display: inline-block;
    }

    input,
    button {
        border: 0 none;
        outline: 0 none;
        font-size: 0.8rem !important;
        padding: 0.3rem 0.4rem !important;
    }
    
}

/* ------------------------------------------------ */
/* --------- mobile MEDIA when less than 640 ------ */
/* ------------------------------------------------ */
@media screen and (max-width: 575px) {

    aside,
    .basket,
    .summary,
    .item,
    .remove {
        width: 100%;
    }
    .update {
        width: 100%;
    }
    .basket-labels {
        display: none;
    }

    .basket-module {
        margin-bottom: 1rem;
    }

    .basket h3 {
        font-size: 0.7rem !important;
        /* font-weight: 800; */
    }

    .item {
        margin-bottom: 1rem;
    }

    .product-image {
        width: 40%;
    }

    .product-details {
        width: 60%;
    }

    .price,
    .subtotal {
        width: 33%;
    }

    .quantity {
        text-align: center;
        width: 34%;
    }
    .descuento {
        text-align: center;
        width: 34%;
    }
    .quantity-field {
        float: none;
    }

    .remove {
        bottom: 0;
        text-align: left;
        margin-top: 0.75rem;
        position: relative;
    }
    .update {
        bottom: 0;
        text-align: left;
        margin-top: 0.75rem;
        position: relative;
    }
    .add-to-cart {
        width: 100%;
        bottom: 0;
        text-align: left;
        margin-top: 0.75rem;
        position: relative;
    }


    .mr-btn-overload-del-later {
        margin: 0.3rem 0.3rem 0.3rem 0.3rem;
        text-decoration: none;
        /* width: 10rem; */
      }   
    .summary {
        margin-top: 1.25rem;
        position: relative;
    }

    .price:before {
        content: 'Precio ';
    }

    .quantity:before {
        content: 'Cant. ';
    }

    .descuento:before {
        content: 'Desc. ';
    }
    .subtotal:before {
        content: 'Subtot. ';
    }        
    /* .price:before,
    .subtotal:before,
    .subtotal-value:before,
    .total-value:before,
    .promo-value:before {
        content: '$';
    } */

    .catalog-lookup-div {
        /* background-color: chartreuse; */
        display: inline-block;
    }

    /* mr: this resizes the recaptcha when in mobile view */
    #rc-imageselect, 
    .g-recaptcha {
        transform:scale(0.8);
        -webkit-transform:scale(0.8);
        transform-origin:0 0;
        -webkit-transform-origin:0 0;
    }


}



